<template>
  <div>
    <input placeholder="Tên đăng ký" v-model="nameRegister" />
    <br />
    <input placeholder="Mật khẩu" v-model="password" />
    <br />
    <button @click="register({ nameRegister, password })">OK</button>
    <table class="form">
      <button
        class="home"
        @click="getItem({ activePage: 1 }), (textSearch = '')"
        :style="textSearch ? 'display:block' : 'display:none'"
      >
        Home
      </button>
      <thead>
        <tr>
          <th>STT</th>
          <th>Tên</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="(item, index) in listItem" :key="index">
          <th>{{ index + 1 }}</th>
          <th>{{ item.name }}</th>
          <button @click="deleteItem(item._id)">Delete</button>
          <button @click="chooseItem(item._id, item.name)">Update</button>
        </tr>
      </tbody>
      <button
        v-for="i in totalPage"
        :key="i"
        :style="i === activePage ? 'background: blue' : ''"
        @click="
          !textSearch
            ? getItem({ activePage: i })
            : searchItem({ activePage: i, textSearch: textSearch })
        "
      >
        {{ i }}
      </button>
      <br />
      <input v-model="name" />
      <button @click="name ? addItem(name) : clickAddItem(), (name = '')">
        ADD
      </button>
      <button @click="updateItem({ id, name }), (name = ''), (id = '')">
        UPDATE
      </button>
      <br />
      <input placeholder="Search" v-model="textSearch" />
      <button @click="searchItem({ activePage, textSearch: textSearch })">
        SEARCH
      </button>
      <br />
    </table>
  </div>
</template>

<script>
export default {
  setup() {},
  data() {
    return {
      name: "",
      id: "",
      textSearch: "",
      nameRegister: "",
      password: "",
    };
  },
  props: {
    listItem: {
      type: Array,
      default: () => [],
    },
    activePage: Number,
    totalPage: Number,
    getItem: Function,
    addItem: Function,
    deleteItem: Function,
    updateItem: Function,
    searchItem: Function,
    register: Function
  },
  methods: {
    chooseItem(id, name) {
      (this.id = id), (this.name = name);
    },
    clickAddItem() {
      alert("Dữ liệu trống");
    },
  },
};
</script>

<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
.form {
  margin: 0 auto;
}
</style>
